#pragma once

#include <QColor>

namespace Xybrid::Config {
    class ColorScheme {
    public:
        ColorScheme() = default;

        QColor patternSelection = QColor(127, 63, 255, 63);

        QColor patternBg = QColor(23, 23, 23);
        QColor patternBgBeat = QColor(31, 31, 31);
        QColor patternBgMeasure = QColor(39, 39, 39);

        QColor patternFgBlank = QColor(127, 127, 127);
        QColor patternFgPort = QColor(191, 191, 191);
        QColor patternFgNote = QColor(255, 255, 255);
        QColor patternFgParamCmd = QColor(191,163,255);
        QColor patternFgParamAmt = QColor(191,222,255);
    };
    extern ColorScheme colorScheme;
}
